### Method

# WebKit2WebExtension DOMDocument create_css_style_declaration

deprecated: 2.22

#### Declaration [src]

    WebKitDOMCSSStyleDeclaration*
    webkit_dom_document_create_css_style_declaration (
      WebKitDOMDocument* self
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Return value

Type: `WebKitDOMCSSStyleDeclaration`

A `WebKitDOMCSSStyleDeclaration`.

The caller of the method takes ownership of the data, and is responsible for freeing it.